Bug 21211 - Patron toolbar does not appear on all tabs in patron account in staff
Summary: Patron toolbar does not appear on all tabs in patron account in staff
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-13 09:51 UTC by information
Modified: 2020-05-14 17:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs (4.77 KB, patch)
2020-04-19 02:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs (5.44 KB, patch)
2020-04-19 11:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs (5.53 KB, patch)
2020-04-19 17:59 UTC, David Roberts
Details | Diff | Splinter Review
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs (5.56 KB, patch)
2020-04-20 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description information 2018-08-13 09:51:33 UTC

    
Comment 1 Katrin Fischer 2018-08-13 10:07:25 UTC
Hi,
there is no description for this bug report and there is not enough information in the subject to see what it's about. Can you please add some more details?
Comment 2 information 2018-08-13 12:39:30 UTC
(In reply to Katrin Fischer from comment #1)
> Hi,
> there is no description for this bug report and there is not enough
> information in the subject to see what it's about. Can you please add some
> more details?

Hi, sorry we never meant to leave it that way! It's a case of clicking too quickly and then not having time to go back to it straightaway. In the process of adding the details now. Thanks, Aude
Comment 3 information 2018-08-13 12:43:58 UTC
Description: messages/notes on Patrons do not appear in a consistent way across all the Patron tabs, depending on how they are created.

Add Message via button - only appears on the Checkout page.
Add new message via link on checkout page - this also displays in the Circulation Note field in the Details page but is clear from Checkout page too.

Could messages be made to appear on both the Details and the Checkout tabs, please, regardless of the way they are created?
Comment 4 Owen Leonard 2018-08-13 12:53:38 UTC
(In reply to information from comment #3)

> Add Message via button - only appears on the Checkout page.

This should not be the case. The button is in an include file which is used across all patron-specific pages. If you find otherwise it's a bug (which I don't see in our installation of 17.11).

> Add new message via link on checkout page - this also displays in the
> Circulation Note field in the Details page but is clear from Checkout page
> too.

I don't really understand this comment, but I do see inconsistency between the way the "Add a new message" link appears on the circulation page versus the detail page: The link appears on Circulation when there are no messages and doesn't on the detail page. I consider it a bug that the link appears on circulation when there are no messages.
Comment 5 Katrin Fischer 2020-04-19 01:55:57 UTC
It looks like purchase suggestions, ill requests and discharges are missing the patron toolbar.

Also the modification logs - but as this template is used in 2 places, there might be a reason for it.
Comment 6 Katrin Fischer 2020-04-19 02:17:27 UTC
I am going to use this bug to fix the toolbar, which will make the "Add message" show more consistently.

For the different display of notes I have filed a new bug:
Bug 25188 - Circulation notes only displays on checkouts tab, but not on details
Comment 7 Katrin Fischer 2020-04-19 02:32:31 UTC
Created attachment 103209 [details] [review]
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs

When paging through the patron account in staff, using the tabs on
the right, you notice that some pages are missing the patron toolbar
on top and that the headings, where they exist, vary in size.

This patch adds the patron toolbar to 3 more tabs and changes headings
to h1 to be consistent with older tabs. It has also been suggested on
another tab that this is preferrable for screen readers.

Note: Modification log was left out for now, as this is also used in tools.

To test:
- Activate ILL (ILLModule pref)
- Activate discharges (UseDischarge pref)
- Go to any patron account, tab through the tabs...
- Verify that discharge, purchase suggestions and ill requests are
  missing the toolbar
- Apply patch
- Verify that the toolbar now appears on these pages and works
  correctly
- Also veriy that the headings are now consistently h1 on all pages
Comment 8 Katrin Fischer 2020-04-19 11:35:24 UTC
Created attachment 103211 [details] [review]
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs

When paging through the patron account in staff, using the tabs on
the right, you notice that some pages are missing the patron toolbar
on top and that the headings, where they exist, vary in size.

This patch adds the patron toolbar to 3 more tabs and changes headings
to h1 to be consistent with older tabs. It has also been suggested on
another tab that this is preferrable for screen readers.

Note: Modification log was left out for now, as this is also used in tools.

To test:
- Activate ILL (ILLModule pref)
- Activate discharges (UseDischarge pref)
- Go to any patron account, tab through the tabs...
- Verify that discharge, purchase suggestions and ill requests are
  missing the toolbar
- Apply patch
- Verify that the toolbar now appears on these pages and works
  correctly
- Also veriy that the headings are now consistently h1 on all pages
Comment 9 David Roberts 2020-04-19 17:59:13 UTC
Created attachment 103218 [details] [review]
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs

When paging through the patron account in staff, using the tabs on
the right, you notice that some pages are missing the patron toolbar
on top and that the headings, where they exist, vary in size.

This patch adds the patron toolbar to 3 more tabs and changes headings
to h1 to be consistent with older tabs. It has also been suggested on
another tab that this is preferrable for screen readers.

Note: Modification log was left out for now, as this is also used in tools.

To test:
- Activate ILL (ILLModule pref)
- Activate discharges (UseDischarge pref)
- Go to any patron account, tab through the tabs...
- Verify that discharge, purchase suggestions and ill requests are
  missing the toolbar
- Apply patch
- Verify that the toolbar now appears on these pages and works
  correctly
- Also veriy that the headings are now consistently h1 on all pages

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 10 Jonathan Druart 2020-04-20 10:35:08 UTC
Created attachment 103258 [details] [review]
Bug 21211: Add patron toolbar to suggestions, discharges and ill requests tabs

When paging through the patron account in staff, using the tabs on
the right, you notice that some pages are missing the patron toolbar
on top and that the headings, where they exist, vary in size.

This patch adds the patron toolbar to 3 more tabs and changes headings
to h1 to be consistent with older tabs. It has also been suggested on
another tab that this is preferrable for screen readers.

Note: Modification log was left out for now, as this is also used in tools.

To test:
- Activate ILL (ILLModule pref)
- Activate discharges (UseDischarge pref)
- Go to any patron account, tab through the tabs...
- Verify that discharge, purchase suggestions and ill requests are
  missing the toolbar
- Apply patch
- Verify that the toolbar now appears on these pages and works
  correctly
- Also veriy that the headings are now consistently h1 on all pages

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2020-04-20 11:27:11 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-05-07 21:52:19 UTC
Backported to 19.11.x for 19.11.06
Comment 13 Lucas Gass 2020-05-14 17:54:13 UTC
backported to 19.05.x for 19.05.11